Typedefs | Functions

# dmxarg.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _dmxArg * | dmxArg
## Functions
dmxArg | dmxArgCreate (void)
void | dmxArgFree (dmxArg a)
void | dmxArgAdd (dmxArg a, const char *string)
const char * | dmxArgV (dmxArg a, int item)
int | dmxArgC (dmxArg a)
dmxArg | dmxArgParse (const char *string)

## Detailed Description

Interface to argument handling functions.

See also:
  dmxarg.c

## Typedef Documentation

typedef struct _dmxArg* dmxArg

## Function Documentation

void dmxArgAdd | ( | dmxArg | a,
|  | const char * | string |
| ) |  |  |

Add the string as the next argument in the dmxArg object.

References _dmxArg::argc, _dmxArg::argm, and _dmxArg::argv.

Referenced by dmxArgParse().

int dmxArgC | ( | dmxArg | a | ) |

Return the number of arguments in the dmxArg object.

References _dmxArg::argc.

Referenced by dmxInputInit(), and dmxPopulateLocal().

dmxArg dmxArgCreate | ( | void |  | ) |

Create an (externally opaque) dmxArg object.

References _dmxArg::argc, _dmxArg::argm, and _dmxArg::argv.

Referenced by dmxArgParse().

void dmxArgFree | ( | dmxArg | a | ) |

Free the specified dmxArg object.

References _dmxArg::argc, and _dmxArg::argv.

Referenced by dmxInputInit().

dmxArg dmxArgParse | ( | const char * | string | ) |

Parse a string into arguments delimited by commas. Return a new dmxArg object containing the arguments.

References dmxArgAdd(), and dmxArgCreate().

Referenced by dmxInputInit().

const char* dmxArgV | ( | dmxArg | a,
|  | int | item |
| ) |  |  |

Return the argument number item in the dmxArg object. Arguments are 0 based. NULL will be returned for values less than 0 or equal to or greater than the number of arguments in the object.

References _dmxArg::argc, and _dmxArg::argv.

Referenced by dmxInputInit(), and dmxPopulateLocal().